package vc.thinker.config.interceptor;

import java.lang.annotation.*;

/**
 * @author : xieshaojun
 * @date : 2023/1/5 10:28
 */
@Target({ElementType.PARAMETER,ElementType.METHOD})
@Retention(RetentionPolicy.RUNTIME)
@Documented
public @interface ServiceLimit {

    String message() default "";

    String key() default "";

    LimitType limitType() default LimitType.CUSTOMER;
    /**
     * 类型
     */
    enum LimitType{
        // 自定义
        CUSTOMER,
        // ip
        IP,
        ;
    }
}
